## org.firebirdsql.gds.impl.wire
Class ParameterBufferBase.NumericArgument

    java.lang.Object
      org.firebirdsql.gds.impl.wire.ParameterBufferBase.Argument
          org.firebirdsql.gds.impl.wire.ParameterBufferBase.NumericArgument

All Implemented Interfaces:
  Serializable

Enclosing class:
  ParameterBufferBase

    protected static class ParameterBufferBase.NumericArgument

extends ParameterBufferBase.Argument

See Also:
  Serialized Form

Method Summary
`boolean` `equals(Object other)`
`int` `hashCode()`
`protected void` `writeValue(XdrOutputStream outputStream, int value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeValue

    protected void writeValue(XdrOutputStream outputStream,
                              int value)
                       throws IOException

  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2010. All Rights Reserved.